Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.integrationkit
Class LifecycleContainerBuilder

    java.lang.Object
      org.nanocontainer.integrationkit.LifecycleContainerBuilder

All Implemented Interfaces:
  ContainerBuilder

Direct Known Subclasses:
  DefaultLifecycleContainerBuilder, ScriptedContainerBuilder

    public abstract class LifecycleContainerBuilder

extends Object
implements ContainerBuilder

Version:
  $Revision: 2816 $
Author:
  Joe Walnes, Aslak Hellesøy, Paul Hammant, Mauro Talevi

Constructor Summary
`LifecycleContainerBuilder()`

Method Summary
`protected void` | `autoStart(org.picocontainer.PicoContainer container)`
`void` | `buildContainer(org.picocontainer.defaults.ObjectReference containerRef, org.picocontainer.defaults.ObjectReference parentContainerRef, Object assemblyScope, boolean addChildToParent)` Create, assemble, init and start a new PicoContainer and store it at a given reference.
`protected abstract void` | `composeContainer(org.picocontainer.MutablePicoContainer container, Object assemblyScope)`
`protected abstract org.picocontainer.PicoContainer` | `createContainer(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`
`void` | `killContainer(org.picocontainer.defaults.ObjectReference containerRef)` Locate a container at the given reference so it can be stopped, destroyed and removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleContainerBuilder

    public LifecycleContainerBuilder()

Method Detail

### buildContainer

    public final void buildContainer(org.picocontainer.defaults.ObjectReference containerRef,
                                     org.picocontainer.defaults.ObjectReference parentContainerRef,
                                     Object assemblyScope,
                                     boolean addChildToParent)

  Description copied from interface: `ContainerBuilder`
  Create, assemble, init and start a new PicoContainer and store it at a given reference.

  Specified by:
    `buildContainer` in interface `ContainerBuilder`
  Parameters:
    `containerRef` - Where to store the new container.
    `parentContainerRef` - reference to a container that may be used as a parent to the new container (may be null).
    `assemblyScope` - Hint about the scope for composition.

### autoStart

    protected void autoStart(org.picocontainer.PicoContainer container)

### killContainer

    public void killContainer(org.picocontainer.defaults.ObjectReference containerRef)

  Description copied from interface: `ContainerBuilder`
  Locate a container at the given reference so it can be stopped, destroyed and removed.

  Specified by:
    `killContainer` in interface `ContainerBuilder`
  Parameters:
    `containerRef` - Where the container is stored.

### composeContainer

    protected abstract void composeContainer(org.picocontainer.MutablePicoContainer container,
                                             Object assemblyScope)

### createContainer

    protected abstract org.picocontainer.PicoContainer createContainer(org.picocontainer.PicoContainer parentContainer,
                                                                       Object assemblyScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.